Bug 20938 - file %{_infodir}/dir from install of info-4.0-17 conflicts with file from package zgv-5.2-1
file %{_infodir}/dir from install of info-4.0-17 conflicts with file from pac...
Status: CLOSED NOTABUG
Product: Red Hat Powertools
Classification: Retired
Component: zgv (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-15 21:03 EST by jens.koerber
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-15 21:03:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jens.koerber 2000-11-15 21:03:29 EST
or was it ... file %{_infodir}/dir from install of zgv-5.2-1 
conflicts with file from package info-4.0-17 ? ;-)

Fix:

.
.
.

%prep
%setup -q
#%patch -p1 -b .config
#%patch2 -p1 -b .glibc
#%patch3 -p1 -b .security
#%patch4 -p1 -b .yetagain
%patch5 -p1 -b .noroot
%patch6 -p1 -b .misc

%build
make WARNOPTS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir} \
	 $RPM_BUILD_ROOT%{_mandir}/man1 \
	 $RPM_BUILD_ROOT%{_infodir}

make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING ChangeLog NEWS README README.fonts TODO
%attr(755, root, root) %{_bindir}/zgv
%{_mandir}/*/*
%{_infodir}/*

%post
/sbin/install-info %{_infodir}/zgv.gz  %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
   /sbin/install-info --delete --delete %{_infodir}/zgv.gz %{_infodir}/dir
fi

%changelog
* Wed Oct 18 2000 Than Ngo <than@redhat.com>
- updated to 5.2
Comment 1 Ngo Than 2000-11-16 04:00:17 EST
sorry i can't reproduce it. zgv-5.2-1 does not include the file dir.


Comment 2 jens.koerber 2000-11-16 13:20:23 EST
Look into /usr/src/redhat/BUILD/zgv-5.2/doc/Makefile

# Update info `dir' file.
# Info always uses a dir file in preference to a dir.gz, so we don't use
# dir.gz unless it's the only game in town.
ifneq ($(INFO_DIR_UPDATE),no)
	if [ -f $(INFODIR)/dir.gz -a ! -f $(INFODIR)/dir ]; then \
	  gzip -d $(INFODIR)/dir.gz; \
	  ../src/install-info zgv $(INFODIR)/dir; \
	  gzip $(INFODIR)/dir; \
	else \
	  ../src/install-info zgv $(INFODIR)/dir; \
	fi
endif

.
.
.
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.87627
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd zgv-5.2
+ rm -rf /var/tmp/zgv-root
+ mkdir -p /var/tmp/zgv-root/usr/bin /var/tmp/zgv-root/usr/share/man/man1
/var/tmp/zgv-root/usr/share/info
+ make PREFIX=/var/tmp/zgv-root/usr install
make -C src zgv
make[1]: Entering directory `/usr/src/redhat/BUILD/zgv-5.2/src'
make[1]: `zgv' is up to date.
make[1]: Leaving directory `/usr/src/redhat/BUILD/zgv-5.2/src'
make -C src install
make[1]: Entering directory `/usr/src/redhat/BUILD/zgv-5.2/src'
install -s zgv /var/tmp/zgv-root/usr/bin
make[1]: Leaving directory `/usr/src/redhat/BUILD/zgv-5.2/src
make -C doc install
make[1]: Entering directory `/usr/src/redhat/BUILD/zgv-5.2/doc'
install -m 444 zgv.1 /var/tmp/zgv-root/usr/share/man/man1
install -m 444 zgv zgv-? /var/tmp/zgv-root/usr/share/info
if [ -f /var/tmp/zgv-root/usr/share/info/dir.gz -a ! -f
/var/tmp/zgv-root/usr/share/info/dir ]; then \
  gzip -d /var/tmp/zgv-root/usr/share/info/dir.gz; \
  ../src/install-info zgv /var/tmp/zgv-root/usr/share/info/dir; \
  gzip /var/tmp/zgv-root/usr/share/info/dir; \
else \
  ../src/install-info zgv /var/tmp/zgv-root/usr/share/info/dir; \
fi
make[1]: Leaving directory `/usr/src/redhat/BUILD/zgv-5.2/doc'
+ /usr/lib/rpm/brp-compress
+ /usr/lib/rpm/brp-strip
+ /usr/lib/rpm/brp-strip-comment-note
Processing files: zgv-5.2-1           
.
.
.

Note You need to log in before you can comment on or make changes to this bug.